QwtPickerDragLineMachine(3)

NAME
QwtPickerDragLineMachine - A state machine for line selections.

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
QwtPickerDragLineMachine ()
Constructor.
virtual QList< Command > transition (const QwtEventPattern &, const QEvent *)
Transition.

  Additional Inherited Members

Detailed Description

A state machine for line selections. Pressing QwtEventPattern::MouseSelect1 selects the first point, releasing it the second point. Pressing QwtEventPattern::KeySelect1 also selects the first point, a second press selects the second point and terminates the selection.

A common use case of QwtPickerDragLineMachine are pickers for distance measurements.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.